@model Identity.Quickstart.Account.RegisterViewModel

<div class="register-page">
    <div class="lead">
        <h1>Register</h1>
        <p>Choose how to register</p>
    </div>

    <partial name="_ValidationSummary"/>

    <div class="row">
        
        @* TODO: show validation errors *@

        @if (Model.EnableLocalLogin)
        {
            <div class="col-sm-6">
                <div class="card">
                    <div class="card-header">
                        <h2>Local Account</h2>
                    </div>

                    <div class="card-body">
                        <form asp-route="Register">
                            <input type="hidden" asp-for="ReturnUrl"/>

                            <div class="form-group">
                                <label asp-for="Email"></label>
                                <input class="form-control" placeholder="Email" asp-for="Email" autofocus>
                            </div>
                            <div class="form-group">
                                <label asp-for="FirstName">First name</label>
                                <input class="form-control" placeholder="First name" asp-for="FirstName" autocomplete="given-name">
                            </div>
                            <div class="form-group">
                                <label asp-for="LastName">Last name</label>
                                <input class="form-control" placeholder="Last name" asp-for="LastName" autocomplete="family-name">
                            </div>
                            <div class="form-group">
                                <label asp-for="Username"></label>
                                <input class="form-control" placeholder="Username" asp-for="Username" autocomplete="username">
                            </div>
                            <div class="form-group">
                                <label asp-for="Password">Password</label>
                                <input type="password" class="form-control" placeholder="Password" asp-for="Password" autocomplete="new-password">
                            </div>

                            <button class="btn btn-primary" name="button" value="register">Register</button>
                            <button class="btn btn-secondary" name="button" value="cancel">Cancel</button>

                            <div>
                                <a href="/Account/Login?ReturnUrl=/diagnostics">Already have an account? Click here to login</a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        }

        @if (Model.VisibleExternalProviders.Any())
        {
            <div class="col-sm-6">
                <div class="card">
                    <div class="card-header">
                        <h2>External Account</h2>
                    </div>
                    <div class="card-body">
                        <ul class="list-inline">
                            @foreach (var provider in Model.VisibleExternalProviders)
                            {
                                <li class="list-inline-item">
                                    <a class="btn btn-secondary"
                                       asp-controller="External"
                                       asp-action="Challenge"
                                       asp-route-scheme="@provider.AuthenticationScheme"
                                       asp-route-returnUrl="@Model.ReturnUrl">
                                        @provider.DisplayName
                                    </a>
                                </li>
                            }
                        </ul>
                    </div>
                </div>
            </div>
        }

        @if (!Model.EnableLocalLogin && !Model.VisibleExternalProviders.Any())
        {
            <div class="alert alert-warning">
                <strong>Invalid register request</strong>
                There are no register schemes configured for this request.
            </div>
        }
    </div>
</div>